PostgreSQL, Windows, Apache, PHP

A PHP tartalmaz kapcsolódási lehetőséget a PostgreSQL-hez, de sajnos a PHP verziója elavult, ezért az alábbi módon lehet telepíteni a címben emlegetett triászt.

  1. Telepítsünk egy Apache-ot. fontos, hogy az Apache X86, No SSL legyen. Nem próbáltam ki, de lehet, hogy menne az SSQL verzióval is.
  2. Telepítsük a http://windows.php.net/download oldalról a PHP 5.x.x VC6 x86 Thread Safe verzióját!
  3. Töltsd le PostgreSQL 9.x Winx86-os verzióját a http://www.enterprisedb.com/products/pgdownload.do#windows oldalról, majd telepítsd a neked tetsző könyvtárba.
  4. A PHP.INI-ben állítsd be a megfelelő paramétereket ésengedélyezd a php_pgsql.dll-t
    extension=php_pgsql.dll
  5. Az Apache konfigurációján is kell egy kicsit sikálni:

;A következő sor azáért fontos, mert a PHP-ban lévő ugyanilyen nevű dll idejétmúlt!!

LoadFile "<PostgreSQL telepítési könyvtára>/bin/libpq.dll"
Loadmodule php5_module "<PHP telepítési könyvtára>/php5apache2_2.dll"
AddType application/x-httpd-php .php
PHPIniDir "<PHP telepítési könyvtára>"